/*============================================================================================
↓＜ボタンの種類＞============================================================================
============================================================================================*/
/*幅100% 白*/
.btnStyle1 {
  font-size: 14px;
  text-align: left;
  width: 100%;
  margin: 0 auto;
}
.btnStyle1 a:link,
.btnStyle1 a:visited {
  color: rgba(255, 255, 255, 1);
  text-decoration: none;
  position: relative;
  width: 100%;
  padding: 25px 20px;
  display: block;
  border: solid 1px rgba(255, 255, 255, 0.3);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
}
.btnStyle1 a:hover {
  background-color: rgba(255, 255, 255, 0.2);
}
.btnStyle1 a span .en {
  font-size: 10px;
  margin: 0 5px;
  opacity: 0.7;
}
.btnStyle1 a span.ico {
  position: absolute;
  top: 50%;
  right: 20px;
  width: 40px;
  height: 20px;
  transform: translate(0, -50%);
  background-image: url(../img/ico-arr-wh.png);
  background-position: center right;
  background-repeat: no-repeat;
  background-size: 80px 20px;
  transition: all 0.3s ease 0s;
}
.btnStyle1 a:hover span.ico {
  width: 80px;
  right: 15px;
}
@media screen and (max-width: 768px) {
  .btnStyle1 a span .en {
    margin: 0;
    display: block;
  }
}

/*幅固定 黒*/
.btnStyle2 {
  font-size: 14px;
  text-align: left;
  max-width: 300px;
  margin: 0 auto;
}
.btnStyle2 a:link,
.btnStyle2 a:visited {
  color: rgba(0, 0, 0, 1);
  position: relative;
  width: 100%;
  padding: 15px;
  display: block;
  border: solid 1px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
}
.btnStyle2 a:hover {
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0.2);
}
.btnStyle2 a span.ico {
  position: absolute;
  top: 50%;
  right: 0;
  width: 50px;
  height: 50px;
  transform: translate(0, -50%);
  background-image: url(../img/ico-toright-bk.png);
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  transition: all 0.3s ease 0s;
}
.btnStyle2 a:hover span.ico {
  background-position: 5px 0px;
}

/*幅固定 黒アミ*/
.btnStyle3 {
  font-size: 14px;
  text-align: left;
  max-width: 300px;
  margin: 30px auto;
}
.btnStyle3 a:link,
.btnStyle3 a:visited {
  color: rgba(255, 255, 255, 1);
  position: relative;
  width: 100%;
  padding: 15px;
  display: block;
  border: solid 1px rgba(0, 0, 0, 0.2);
  background-color: rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
}
.btnStyle3 a:hover {
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0.6);
}
.btnStyle3 a span.ico {
  position: absolute;
  top: 50%;
  right: 0;
  width: 50px;
  height: 50px;
  transform: translate(0, -50%);
  background-image: url(../img/ico-toright-wh.png);
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  transition: all 0.3s ease 0s;
}
.btnStyle3 a:hover span.ico {
  background-position: 5px 0px;
}

.btnStyle-toggle {
  font-size: 14px;
  text-align: center;
  margin: 0 auto;
  color: rgba(0, 0, 0, 1);
  position: relative;
  width: 100%;
  padding: 15px;
  border: solid 1px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
  cursor: pointer;
}
.btnStyle-toggle:hover {
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0.2);
}
.btnStyle-toggle span.ico {
  position: absolute;
  top: 50%;
  right: 0;
  width: 50px;
  height: 50px;
  transform: translate(0, -50%);
  background-image: url(../img/arr-lower-bk.png);
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  transition: all 0.3s ease 0s;
}
.btnStyle-toggle.is-active span.ico {
  background-image: url(../img/arr-upper-bk.png);
}

/*バナー*/
.btnStyle-bnr {
  font-size: 14px;
  text-align: left;
  width: 100%;
  margin: 0 auto;
}
.btnStyle-bnr a:link,
.btnStyle-bnr a:visited {
  color: rgba(0, 0, 0, 1);
  text-decoration: none;
  position: relative;
  width: 100%;
  padding: 30px 20px;
  display: block;
  border: solid 1px rgba(0, 0, 0, 0.3);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
}
.btnStyle-bnr a:hover {
  background-color: rgba(0, 0, 0, 0.2);
}
.btnStyle-bnr a span .en {
  font-size: 10px;
  margin: 0 5px;
  opacity: 0.7;
}
.btnStyle-bnr a span.ico {
  position: absolute;
  top: 50%;
  right: 20px;
  width: 40px;
  height: 20px;
  transform: translate(0, -50%);
  background-image: url(../img/ico-arr-bk.png);
  background-position: center right;
  background-repeat: no-repeat;
  background-size: 80px 20px;
  transition: all 0.3s ease 0s;
}
.btnStyle-bnr a:hover span.ico {
  width: 80px;
  right: 15px;
}

/*お問い合わせボタン*/
.btnStyle-contact {
  font-size: 14px;
  text-align: left;
  max-width: 300px;
  margin: 0 auto;
}
.btnStyle-contact a:link,
.btnStyle-contact a:visited {
  color: rgba(255, 255, 255, 1);
  position: relative;
  width: 100%;
  padding: 15px;
  display: block;
  border: solid 1px rgba(255, 255, 255, 0.3);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
}
.btnStyle-contact a:hover {
  background-color: rgba(255, 255, 255, 0.2);
}
.btnStyle-contact a span.ico {
  position: absolute;
  top: 50%;
  right: 0;
  width: 50px;
  height: 50px;
  transform: translate(0, -50%);
  background-image: url(../img/ico-contact.png);
  background-position: -50px 0;
  background-repeat: no-repeat;
  background-size: 100px 50px;
  transition: all 0.3s ease 0s;
}
.btnStyle-contact a:hover span.ico {
  background-position: 0px 0;
}
@media screen and (max-width: 768px) {
}

/*縦書きボタン*/
.btnStyle-vertical {
  font-size: 14px;
  text-align: center;
  margin: 0 auto;
}
.btnStyle-vertical a:link,
.btnStyle-vertical a:visited {
  color: rgba(255, 255, 255, 1);
  text-decoration: none;
  position: relative;
  width: 48px;
  padding: 50px 0 15px;
  display: block;
  border: solid 1px rgba(255, 255, 255, 0.3);
  box-sizing: border-box;
  transition: all 0.3s ease 0s;
  height: 190px;
}
.btnStyle-vertical a:hover {
  background-color: rgba(255, 255, 255, 0.2);
}
.btnStyle-vertical a span.ico {
  position: absolute;
  top: 0;
  right: 50%;
  width: 50px;
  height: 50px;
  transform: translate(50%, 0);
  background-image: url(../img/ico-lower-wh.png);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 50px 50px;
  transition: all 0.3s ease 0s;
}
.btnStyle-vertical a:hover span.ico {
  top: 5px;
}
@media screen and (max-width: 768px) {
  .btnStyle-vertical a:link,
  .btnStyle-vertical a:visited {
    width: 240px;
    padding: 15px 15px 15px 30px;
    margin: 0 auto;
    height: 100%;
  }
  .btnStyle-vertical a span.ico {
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    background-image: url(../img/ico-toright-wh.png);
  }
  .btnStyle-vertical a:hover span.ico {
    top: 50%;
    left: 5px;
  }
}

/*電話をかける*/
.btnStyle-phone {
  font-size: 1.6em;
  line-height: 1.6em;
  margin: 0 auto 10px;
}
.btnStyle-phone a:link,
.btnStyle-phone a:visited {
  color: rgba(255, 255, 255, 1);
  text-decoration: none;
  transition: all 0.3s ease 0s;
}
.btnStyle-phone a:hover {
  opacity: .7;
}
@media screen and (max-width: 480px) {
  .btnStyle-phone {
    font-size: 1.4em;
    text-align: center;
  }
  .btnStyle-phone a:link,
  .btnStyle-phone a:visited {
    padding: 10px;
    display: block;
    border: solid 1px rgba(255, 255, 255, 0.3);
    box-sizing: border-box;
    border-radius: 25px;
  }
  .btnStyle-phone a:hover {
    opacity: 1;
    background-color: rgba(255, 255, 255, 0.2);
  }
}

/*オンライン予約*/
.btnStyle-reserve {
  font-size: 1.2em;
  line-height: 1.6em;
}
.btnStyle-reserve a:link,
.btnStyle-reserve a:visited {
  color: rgba(255, 255, 255, 1);
  text-decoration: none;
  transition: all 0.3s ease 0s;
}
.btnStyle-reserve a:hover {
  opacity: .7;
}
@media screen and (max-width: 480px) {
  .btnStyle-reserve {
    text-align: center;
  }
  .btnStyle-reserve a:link,
  .btnStyle-reserve a:visited {
    padding: 10px;
    display: block;
    border: solid 1px rgba(255, 255, 255, 0.3);
    box-sizing: border-box;
    border-radius: 25px;
  }
  .btnStyle-reserve a:hover {
    opacity: 1;
    background-color: rgba(255, 255, 255, 0.2);
  }
}

/*電話をかける　角丸（大）*/
.btnStyle-phone-round {
  height: 50px;
  display: table;
  text-align: center;
  border: solid 1px rgba(0, 0, 0, 0.3);
  border-radius: 25px;
  box-sizing: border-box;
  overflow: hidden;
}
.btnStyle-phone-round a:link,
.btnStyle-phone-round a:visited {
  color: rgba(0, 0, 0, 1);
  font-size: 2em;
  line-height: 1.6em;
  padding: 0 20px;
  text-decoration: none;
  display: table-cell;
  vertical-align: middle;
  transition: all 0.3s ease 0s;
}
.btnStyle-phone-round a:hover {
  color: rgba(255, 255, 255, 1);
  background-color: rgba(0, 0, 0, 1);
}
.btnStyle-phone-round span.small {
  font-size: 50%;
}
@media screen and (max-width: 768px) {
  .btnStyle-phone-round {
    width: 100%;
  }
}

/*電話をかける　角丸（小）*/
.btnStyle-phone-round-s {
  height: 50px;
  display: table;
  text-align: center;
  border: solid 1px rgba(0, 0, 0, 0.3);
  border-radius: 25px;
  box-sizing: border-box;
  overflow: hidden;
}
.btnStyle-phone-round-s a:link,
.btnStyle-phone-round-s a:visited {
  color: rgba(0, 0, 0, 1);
  font-size: 1.6em;
  line-height: 1.6em;
  padding: 0 20px;
  text-decoration: none;
  display: table-cell;
  vertical-align: middle;
  transition: all 0.3s ease 0s;
}
.btnStyle-phone-round-s a:hover {
  color: rgba(255, 255, 255, 1);
  background-color: rgba(0, 0, 0, 1);
}
.btnStyle-phone-round-s span.small {
  font-size: 50%;
}
@media screen and (max-width: 768px) {
  .btnStyle-phone-round-s {
    width: 100%;
  }
}

/*オンライン予約　角丸*/
.btnStyle-reserve-round {
  height: 50px;
  display: table;
  text-align: center;
  border: solid 1px rgba(0, 0, 0, 0.3);
  border-radius: 25px;
  box-sizing: border-box;
  overflow: hidden;
}
.btnStyle-reserve-round a:link,
.btnStyle-reserve-round a:visited {
  color: rgba(0, 0, 0, 1);
  font-size: 1.4em;
  line-height: 1.6em;
  padding: 0 20px;
  text-decoration: none;
  display: table-cell;
  vertical-align: middle;
  transition: all 0.3s ease 0s;
}
.btnStyle-reserve-round a:hover {
  color: rgba(255, 255, 255, 1);
  background-color: rgba(0, 0, 0, 1);
}
@media screen and (max-width: 768px) {
  .btnStyle-reserve {
    width: 100%;
  }
}
